@import url("./variables.css");
body{
    font-family: 'GOTHIC' !important;
    background-color: #f4f4f4;
    margin: 0px;
    padding: 0px;
    overflow-y: hidden;

}

h1, h2, h3 {
    color: black;
    text-align: center;
    font-style:oblique
}
.oficiales{
    position: absolute;
    background-color: #391764;
    color: white;
    padding: 5px 20px;
    width: inherit;
    height: 84px;
}
.oficiales:hover{
    color:var(--amarillo-brillante)
}
.menu-icon{
    position: fixed;
    z-index: 10;
    display: inline-flex;
    padding: 2px;
    margin: 0px;
}
.menu-icon img{
    width: 120px;
}
.menu-barra{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    padding: 23px 70px 23px 121px;
    list-style: none;
}  

.barra-colapso{
    display: inline-table;
}
.barra-togg{
    display:none;
}
.menu-link{
    color: white;
    text-decoration:var(--azul);
    font-family: 'GOTHIC' !important;
    font-size: 1.0em;
    padding: 10px 20px;
    width: fit-content;
}

@media (max-width:950px) {
    .menu-link{
        font-size: 0.8em;
        padding: 2px 5px;
    }
    .menu-item{
        width: 150px;
        text-align: center;
    }

}

@media (max-width: 500px) {
    .menu-barra {
        display:flex;
        flex-wrap: wrap;
        justify-content:flex-end;
        font-size:21px;
        position:fixed;
        top:55px;
        left:100vw;
        z-index:10;
        width: 120px;
        border-radius: 10px;
        height: auto;
        background-color: rgba(95, 17, 131, 0.9);
        
    }
    
    .barra-togg{
        position: fixed;
        display: flex;
        top:20px;
        right:10px;
        border:0;
        background: none;
        color:white;
    }
    
    .menu-icon{
        top:2px;
        left:42%;
        padding:0;
        margin:0;
    }
    .menu-item{
        position:relative;
        width: 100%;
        text-align: justify;
    }
    .menu-link{
        text-decoration: none;
        position: relative;
        display: block;
        color: whiet;
        width: 229px;
        border-bottom: 1px solid gray;
        font-size: 18px;
        text-shadow: 1px 1px 2px gray;

    }
    .menu-icon img {
        width: 80px;
    }
    .colapso{
        position:absolute;
        width: 2444px;
        top:50px;
        right:500px;

    }
   
    .menu-item{
        flex-direction: column;
        width: 115px;
    }
}






.cabecera{
    position:absolute;
    top: 0;
    left: 0;
    display:block;
    width: 100%;
    height: 85px;
    overflow: hidden;
}
.titulo-sorteo {
    
    font-size: 1.5rem;
    text-align: center;
    font-weight:400;
    background-color: rgba(2555,255,255,0.9);
    padding: 5px 15px;
    text-shadow: 2px 2px 5px gray;
}
#sorteoActivo{
    text-align: center;
    width: 100%;
    height: 60%;
}
#sorteoActivo button {
    background-color: var(--amarillo-brillante);
    color:var(--morado-oscuro);
    font-size: 1em;
    text-shadow: 2px 2px 5px var(--morado);
    margin: 40px;
    padding: 5px 20px;
    border-radius: 10px;
    border:1px solid white;
    width: 300px;
    box-shadow: 3px 3px 10px white;
    cursor:pointer;
    transition: background-color 0.5s, transform 0.5s;
}
#sorteoActivo button:hover {
    background-color: var(--morado-oscuro);
    color: white;
    transform: scale(1.05);
}   
.modoPruebas{
    font-size: 80px;
    text-align: center;
    color: white;
    margin: 50px
}
@media (max-width:400px){
    .modoPruebas{
        font-size: 40px;
    }
}
.contenido {
    font-family: 'GOTHIC' !important;
    position:absolute;
    top: 84px;
    left: 0;
    width: 100%;
    height: 90%;
    align-items: center;
    justify-content: center;
    overflow-x: hidden;
    overflow-y: scroll;
}
.areaPreguntas,.areaEmpresa, #contactanos, .areaPremios,.areaBoletos,.costo {
  background-color: rgba(255,255,255,0.7);
  padding: 10px 1px;
}
.areaPremios{
    height: fit-content;
}
.areaPreguntas p,.areaEmpresa p, #contactanos p,.costo {
    color: rgba(255, 255, 255, 1);
    background-color: rgb(112, 50, 50);
    text-align: center;
    font-size: 4.0lvh;
    font-weight: 400;
    padding:0;
}
.pregunta{
    text-align: center;
    font-family: 'GOTHIC' !important;
    font-size: 1.9em;
    color: var(--morado);
    font-weight: bold;
    padding: 5px 50px;
}
.respuesta, .premios, .descSorteo{
    text-align: center;
    font-family: 'GOTHIC' !important;
    font-size: 1.2em;
    color: black;
    font-weight: normal;
    padding: 5px 50px;
}
.contactar{
    text-align: center;
}
.boletos
{
    text-align: center;
    font-family: 'GOTHIC' !important;
    font-size: 0.5em;
    font-weight: normal;
    padding: 5px 50px;
    max-height: 500px;
    overflow-y: auto;
}
.boleto{
    display: inline-flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 46px;
    height: 25px;
    margin: 1px;
    padding: 1px 2px;
    border: 1px solid #1DBFEE;;
    border-radius: 5px; 
    background-color: #fff;
    font-family: 'GOTHIC' !important;
    font-size: 0.75rem;
    color: black;  
    font-weight: normal;
    text-align: center; 
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s ease;
}
.boleto:hover {
    transform: scale(1.5);
    border:1px dashed #EA1883;
    font-weight: bold;
    cursor: pointer;
}


#apartados{
    padding: 10px 20px;
    text-align: center;
    background-color: rgba(255, 255, 255, 0.7);
    align-items: center;
}
.miBoleto{
    display: inline-flex;
    flex-direction: row;
    justify-content: center;
    border: 1px solid white;
    border-radius: 7px;
    padding: 2px 5px;
    margin:2px 10px 2px 1px;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
    font-weight: 500;
    width: 60px;
    background: var(--azulCielo);
    color: black;
}
.miBoleto:hover{
    background-color:var(--amarillo-brillante);
    cursor: pointer;
    color:var(--magenta)
}
#corp{
 font-family: "COOP";
 font-size: 150%;
 padding: 0;
 margin: 0;
}


.Padre{
    width: 100%;
    text-align: center;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin-top: 2px;

}
.alAzar{
    margin-top: 10px;
    background-image: url("../img/azar_rojo.png");
    width: 80px;
    height: 80px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    transition: transform 0.3s;
}

.alAzar:hover{
    background-image: url("../img/azar_azul.png");
    cursor:pointer;
    transform: scale(1.3);
}


.libre{
    background-color: white;
    color: black;
}
.apartado{
    background-color: #1DBFEE;
    color: black;
}
.reservado{
    background-color: rgba(58,24,101,0.7);
    color:white;
    border:1px dashed white;
}
.comprado{
    border:1px solid var(--morado);
    color: white;
    background-color: gray;
}
.carrusel{
    padding:15px 50px;
    text-align: center;
}

.valor{ 
    width: 250px;
    input{
        font-size: 12px;
        height: 15px;
        border:none;
        border-bottom:1px solid #150629;
        color:var(--morado-oscuro);
        width: 250px;
    }
}

.etiquetas{
    font-size: 12px;
    font-weight: 600;
    padding-top: 4px;
    width: 250px;
}
.btn_submit{
    padding: 0px 10px 0px 0px;
    button{
        border: none;
        font-size: 13px;
        color:#006e06;
        text-shadow: 1px 1px 3px gray;
    }
    button:hover{
        color:var(--magenta)
    }
}


.btn-Apartar{
    font-size: 14px;
    font-weight: 600;
    padding: 2px 10px;
    margin-top: 10px;
    border:2px solid black;
    border-radius:5px;
    background-color: var(--amarillo-brillante);
    color:black;
    cursor: pointer;
}
.btn-Apartar:hover{
    background-color: white;
    border:2px solid green;
    box-shadow: 2px 2px 3px black;
}




.piePagina{
    position: relative;
    width: 100%;
    padding: 5px 2px 1px 2px;
    background-color: var(--morado-oscuro);
    color: white;
    text-align: center;
    max-height: fit-content;
}
.texto-sorteo{
    width: 100%;
    text-align: center;
}

.textoPie{
    font-family: 'GOTHIC' !important;
    font-size: 0.8em;
    color: white;
    text-align: center;
    padding: 1px 0;
}
.textoPie p {
    margin: 0;
    padding: 0;
}

a.vinculo {
    color: #ffffff;
    padding: 1px 15px;
    text-decoration: none;
    transition: transform 0.4s ease;
}

a.vinculo>svg:hover{
    transform: scale(1.6);
    color:var(--magenta);
    cursor:pointer;

}
.fondo {
    position: absolute;
    top: 0; 
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    background-image: url("../img/portada_ancha.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size:cover;
    padding: 0;
    margin:0;
    opacity: 0.9;
}

.rojo{
    background-color: #EA1883;
    opacity: 0.8;
    color:white
}
.azul{
    background-color: #1DBFEE;
    color:black
}
.amarillo{
    background-color: #FECA05;
    color:black
}
.morado{
    background-color: rgba(58,24,101,1);
    color:white
}


#subtituloPagos{
    width: 50%;
}
#whatsappPagos{
    width: 50%;
    font-size: 1.2em;
    color: #06762f;
    font-weight: 600;
    text-emphasis:var(--morado);
    text-decoration: underline;
  
    cursor: pointer;
}
.metodosPago{
    border:2px double var(--morado);
    border-radius: 10px;    
    padding: 10px;
    margin: 20px;   
    background-color: rgba(255, 255, 255, 0.8);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}
.copiar{
    cursor: pointer;
    color: var(--morado);
    transition: color 0.3s;
}
.copiar:hover{
    color: var(--magenta);
}
.notaPagos{
    font-size: 1.2em;
    color: red;
    font-weight: 600;   
    text-emphasis:var(--morado);
   text-shadow: 1px 1px 2px gray;
margin-bottom: 30px;
}
.notaCopiar{
    font-size: 0.7em;
    font-weight: 600;
    color: var(--morado-oscuro);
    margin-bottom:0px;
    margin-top:30px;
}

.radiosBuscar{
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
}

.Padre input{
    margin-top: 8px;

}
.iconos{
    margin: 5px;
    width: fit-content;
    color:gray;
    cursor: pointer;
    transition: transform 0.3s;
}
.iconos:hover{
    transform: scale(1.2);
    color:var(--magenta);
}
.seleccionado{
    color: var(--azulCielo);
}
#busquedaNombre, #busquedaEstado, #busquedaAccion{
    font-size: 1.0em;
    padding: 5px;
    margin: 5px;
    border-radius: 5px;
    border-bottom: 1px solid var(--morado);
    width: 30%;
}   
#busquedaNombre{
    font-weight: bold;
}
#busquedaEstado{
    font-style: italic;
}
#busquedaAccion{
    text-decoration: underline;
}
input[name="buscador"]{
    width: 300px;
    border:none;
    border-bottom: 2px solid var(--morado); 
    padding: 5px;
    margin: 15px;
    font-size: 1.0em;
    color: var(--morado-oscuro);
    background-color: rgba(255, 255, 255, 0.2);
    transition: border-color 0.5s;

}  
input[name="buscador"]:focus {
    outline: none;
    border-color: var(--azulCielo);
}


.btn-primary{
    background-color: white;
    color: black;
    border: 1px solid black;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 1.0em;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s;

}
.btn-primary:hover {
    background-color: var(--morado-oscuro);
    color:white;
    transform: scale(1.05);
}

.opciones{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
    padding: 10px 2px 1px 2px;
    margin-bottom: 2px;
    text-align: center;
    font-family: 'GOTHIC' !important;
    font-size: 1.2em;
    color: var(--morado-oscuro);
    text-shadow: 1px 1px 2px gray;

}